<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Data binding</title>
</head>
<body>
    <div id="app">
        <h3>{{nombreCompleto}}</h3> <!-- interpolativa -->
        

    </div>
    
    <script src="https://cdn.jsdelivr.net/npm/vue@2/dist/vue.js"></script>
    <script>

        const app = new Vue({
            el:"#app",
            data: {
                nombre: 'Jesus',
                apellido: 'Alvarez'

            },
            //computed properties
            computed:{
                nombreCompleto: function(){
                    return this.nombre + " " + this.apellido
                }
            }
        })
    </script>
</body>
</html>